# Mail|deepin-mail|

## Overview

Mail is an easy-to-use desktop email client, which can manage multiple mailbox accounts at the same time.

## Guide

You can run, exit or create a desktop shortcut of Mail as follows.

### Run Mail

1. Click ![launcher](../common/deepin_launcher.svg) in the Dock to enter the Launcher interface.
2. Locate![deepin_mail](../common/deepin_mail.svg) by scrolling the mouse wheel or searching for "Mail" on the Launcher interface and click it to run.The size of open mailbox window supports memory function.
3. Right-click ![deepin_mail](../common/deepin_mail.svg), you can:
   - Select **Send to desktop** to create a shortcut on the desktop.
   - Select **Send to dock** to fix it in the Dock.
   - Select **Add to startup** to add it to startup and it will automatically run when the system starts up.

### Exit Mail

On the Mail interface, click ![icon_menu](../common/icon_menu.svg) and select **Exit**.

Whether or not to exit Mail when closing the main window depends on the settings in the "Close Main Window" section on the settings page.

   - Select **Minimize to system tray** - when you close the main window, it will be minimized to system tray.
   - Select **Exit** - when you close the main window, you will exit Mail directly.
   - Select **Ask me always** - when you close the main window, a query window will pop up to get your confirmation.

## Sign In

1. Open Mail, select the mailbox account type, if there is no right type for you, select "Other mailboxes" and click **Continue**.

  ![select_mailbox](fig/select_mailbox.png)

2. Enter your email address and password and click **Sign In**. If authorization code is needed, click **Get authorization code** to see the steps.

   > ![tips](../common/tips.svg) Tips: click ![help](../common/help.svg) to view the manual of Mail.

  ![logininterface](fig/logininterface.png)

3. If the entered email address is not in the server database, click **Configure** to add it. On the "Manual Configuration" interface, POP3 / IMAP / Exchange (EWS) service is supported, and the configuration parameters vary slightly depending on the selected protocol type. For example, POP3 service supports server backup and IMAP service supports local backup.


  ![emailconfig](fig/emailconfig.png)

> ![notes](../common/notes.svg) Notes: Mailboxes such as QQ mailbox, Netease mailbox (163.com and 126.com), Sina mailbox and so on can be used in Mail only after POP3/IMAP/Exchange and other services are enabled. After enabling the service, the server will generate an authorization code. Enter the email address and authorization code on the sign-in interface to sign in. If it fails, click **Help** for more information.

>   ![helpinfo](fig/helpinfo.png)

## Main Interface

The main interface of Mail includes mail view and calendar view. Mail view is displayed by default after successful login. Mail view consists of favorites, email accounts, mailbox directories, email lists, email body, compose, get new emails, and search. 

![maininterface](fig/maininterface.png)

<table class="block1">
    <caption>Main Interface</caption>
    <tbody>
        <tr>
            <td width="20px">1</td>
            <td width="100px">Compose</td>
            <td>Start writing an email quickly.</td>
        </tr>
        <tr>
            <td>2</td>
            <td>Contacts</td>
            <td>A list of contacts is displayed here. You can also add information such as the contact's telephone number and address.</td>
        </tr>
         <tr>
            <td>3</td>
            <td>Get new mails</td>
            <td>To synchronize mailbox data from server, including emails, address book, calendar, etc.</td>
        </tr>
        <tr>
            <td>4</td>
            <td>Search</td>
            <td>To quickly find locally loaded emails.</td>
        </tr>
        <tr>
            <td>5</td>
            <td>Main Menu</td>
            <td>To set the mailbox, switch themes, view manual, etc.</td>
        </tr>
        <tr>
            <td>6</td>
            <td>Favorites</td>
            <td>It displays a list of commonly used folders of all mailbox accounts.</td>
        </tr>
        <tr>
            <td>7</td>
            <td>Account</td>
            <td>It displays a list of all mailbox accounts added.</td>
        </tr>
        <tr>
            <td>8</td>
            <td>Mailbox directory</td>
            <td>The mailbox directories are used to sort out emails. In addition to common directories, you can create other folders as well.</td>
        </tr>
         <tr>
            <td>9</td>
            <td>Email list</td>
            <td>It displays all emails in the mailbox directory, including the sender, subject, abstract, sending time and star status.</td>
        </tr> 
          <tr>
            <td>10</td>
            <td>Email body</td>
            <td>It displays the email title, sender and recipient information, time and content.</td>
        </tr> 
   </tbody>
   </table>




## Favorites

The commonly used folders of all mailbox accounts are gathered together here for quick viewing of emails. There are two ways to add the commonly used folders:

- On the main interface, hover your mouse over the "Favorites" area and the add button ![add_normal](../common/add_normal.svg) appears. Click it to add "All Unread", "All Starred", "All Inboxes", "All Sentboxes" or "All Drafts".

  ![add_hot_folder1](fig/add_hot_folder1.png)

  To remove any folder, just uncheck it.

- Right-click the mailbox directory you want to add under an email account, select **Add to Favorites**.

  ![add_hot_folder2](fig/add_hot_folder2.png)

  Click **Remove from Favorites** to remove it.


## Create Mailbox Directories

Mailbox directories are used to sort out emails. The mailbox directories under different protocols may be different. For example, an email account with pop protocol has a starred mail directory, which is used to store the starred emails.

In addition to the general fixed directories, you can create new mailbox directories.

1. On the main interface, right-click the mailbox account and select **New folder**.

![new_ folder](fig/new_folder.png )

2. After entering the folder name, the new mailbox directory is created. Dragging the folder to adjust its order within the same level.

3. Right-click the new mailbox directory to rename, create subfolders, mass delete and so on.

![right_click_menu](fig/right_click_menu.png)

## Compose

1. On the main interface, click ![email_button](../common/email_button.svg) to enter the email composing page. Or press **Ctrl** + **N** to open a new "Compose" window.
2. Enter the recipient's mailbox account or click ![add_normal](../common/add_normal.svg) to add a recipient from Contacts, you can also choose whether to "CC" or "BCC" or not. In case you want to send emails to multiple recipients, when you input the first recipient's account, recommended recipients will appear under the recipient bar.
3. The email body supports rich text editing, including inserting pictures、emojis and links, adding attachments and a signature, choosing email templates, and so on. The default signature is your mailbox account. Click "Signature" drop-down box to edit your signature. Some shortcut key functions are supported during editing. The email body also supports Plain text editing, not including inserting pictures、emojis and font color, adding attachments and a signature, choosing email templates, and so on. 
4. After editing is finished, click **Send**.  Click ![more](../common/more.svg) to select **Send separately** or **Send later** to select a time for the email to be sent.

<img src="fig/writeemail.png" alt="writeemail" style="zoom: 50%;" />

## Get New Mails

"Get new mails" is to synchronize mailbox data from the server, which occurs every 15 minutes by default. You can select the amount of emails to receive every time.

Here are two ways to receive emails:

- Click ![refresh_button](../common/refresh_button.svg)on the top bar.
- Right-click an account and select **Get new mails**.

## View Mails

1. Click **All** above the email list to view all emails, unread emails, starred emails, and emails with attachments. 
2. When an email is selected in the email list, you can view its subject, sender/recipient(s), time and the email body. When you right-click it, you can choose to add label, sticky emails to top, group, move, switch character encodings and other actions. If you select several emails, the email bodies would not be displayed. 
   - Hold **Ctrl** key, click emails to select multiple mails at a time;
   - Click email A and hold **Shift** key, and then click email B to select all mails displayed between email A and B.

3. Click the sender's/recipient's name to view the email account and related emails, and you can add them to the Contacts as well.

   ![contactinfo](fig/contactinfo.png)

4. In the email body area, you can reply, edit, forward, star, move, delete the email or do other operations.  

   ![emailtext](fig/emailtext.png)

## Search Mails

The searching functions helps you find the locally loaded emails quickly. 

1. Click ![search](../common/search.svg) on the main interface, input the keywords, then you can select "Subject", "Text", "From", "To" to search emails.
2. Click ![filter](../common/filter.svg) to filter emails more precisely. You can input information of sender/recipient, subject/text keywords, and filter attachment and period to do a precise search.

   ![search](fig/search.png)

## Group Mails

"Grouping mails" means to group all emails by sender or subject. The conditions you set here would be added to Main Menu > Settings > Accounts >Group automatically.

   - Group by sender: select an email and right-click, select **Group** > **Group all mails from XXX**. Then all mails sent by XXX would be grouped together.
   - Group by subject: select an email and right-click, select **Group** > **Group by Subject**, an editing box pops up. Input keywords and click **Confirm**. Then emails whose subjects contain this keyword would be grouped together.

![syndicate_mail](fig/syndicate_mail.png)

Right-click the grouped emails and select **Ungroup**, the grouped mails would be displayed separately. Conditions in "Settings > Accounts > Group" would also be deleted automatically.

If the grouping condition in the Group tab is deleted, the related emails will also be ungrouped.

## Move Mails

You can move email(s) in the current folder to another; or move all emails from a specific sender.

![move](fig/move.png)

## Delete Mails

Mails could be deleted individually or in batches. Generally, deleted emails are stored in "Trash". You can also delete them permanently in "Trash".

### Delete 

There are two ways to delete one email. 

- Select one or several emails in the email list and right-click, select **Delete**. 
- In the email body area, click ![trash](../common/trash.svg).


### Mass Delete 

Select the specified directory to be deleted and right-click, and select **Mass delete**. You can delete emails according to periods, for example, one week ago or one month ago.

## Import Mails

In the mailbox directory list, select one directory and right-click to select **Import mails**. The interface of File Manager pops up, select the emails to be imported, and click **Open** to import them to the specified directory.

> ![notes](../common/notes.svg) Notes: Exchange protocol does not support importing emails. 

## Export Mails

Mails can be exported individually or in batches.

### Export Individually

1. There are two ways to export individually: 

   - Select an email or several emails in the email list and right-click, select **Export**. 

   - In the email body area, click ![more](../common/more.svg), and then select **Export**.

2. Select a storing path in File Manager and then click **Save**. 

### Export in Batches

Select the specified directory and right-click, and select **Export mails**. The interface of File Manager pops up, select a storage location and then click **Save**. 

## Contacts

On the main interface, click ![contact_button](../common/contact_button.svg) to enter Contacts. You can view the contacts list, add new contacts or contact groups, and import/export contacts. 

![contact](fig/contact.png)

### Add contacts

On the Contacts interface, you can add individual contacts or import contacts in batches.

**Add a single contact**.

1. Click the add button ![add_normal](../common/add_normal.svg)on the top bar and select **Add contacts**. 
2. Fill in the contact name, email address, phone number, address and other information, select the email account and click **Save**.

**Batch Import Contacts**

1. Click the add button ![add_normal](../common/add_normal.svg) on the top bar and select **Import contacts > Import vCard file** or **Import CSV file**. Select an email account and click **Confirm**. 
3. When the File Manager window pops up, select the .vcf or .csv files to be imported. For .csv  files, you can select the contacts fields for mapping.

![contact](fig/mapping.png)

For the added contacts, you can edit, delete, view conversations and so on.

### Add contact groups

After adding contacts, you can group them according to your usage needs, and you have to add contact groups first.

1. Click the add button ![add_normal](../common/add_normal.svg) and select **Add groups**.

2. Enter the group name and click **Confirm**. 

3. Check several contacts and click **Confirm** to complete the grouping.

Click the three dots icon after the group to rename, manage contacts, delete the group, etc.

### Export contacts

You can export contacts from email accounts, all contacts, contact groups, etc. For two or more contacts, you can export them to the same file or separate files.

> ![notes](../common/notes.svg) Notes: When the number of exported contacts exceeds 500, they can only be exported to the same file.


## Mail Calendar

Click the calendar icon ![calendar_button](../common/calendar_button.svg) on the main interface to view your calendar.

> ![notes](../common/notes.svg) Notes: Mail supports CalDav calendar protocol of QQ mailbox and Netease mailbox (163.com and 126.com) currently. After enabling the protocol on the webpage of corresponding service providers, the calendar can be synced with the server.


![calendar_view](fig/calendar_view.png)

### New Event

1. Click **M, W, D** in the upper left corner on the calendar interface to display the monthly view, weekly view and daily view.
2. Select a date or period in the monthly view, weekly view or daily view.
3. Double-click the blank area, or right-click, or click ![add_normal](../common/add_normal.svg) in the top bar to get the "New Event" window.

![create_schedule](fig/create_schedule.png)


4. Click **Save** to create an event.

### Edit events

1. Click the event tag in the monthly view, weekly view and daily view.

![editor](fig/calendar_edit.png)

2. Click the edit icon  to get the editing window.
3. Click **Save** after all modification is done.

### New Meeting Email

1. Click **M, W, D** in the upper left corner on the calendar interface to display the monthly view, weekly view and daily view.
2. Select a date or period in the monthly view, weekly view or daily view.
3. Double-click the blank area, or right-click, or click<img src="fig/email_button2.png" alt="editor" style="zoom:50%;" />，in the top bar to get the "New Event" window.
4. Click **Send** to create an meeting email.

![editor](fig/meeting.png)

### Edit Meeting Email

1.Click the event tag in the monthly view, weekly view and daily view.

2.Click the edit icon  to get the editing window.

3.Click **Send** after all modification is done.

![editor](fig/calendar_edit.png)

## Main Menu

In the main menu, you can manage email accounts, switch the window themes, and view the manual. 

### Settings

Click ![icon_menu](../common/icon_menu.svg) on the main interface and click **Settings**. You can set the accounts, basic settings, anti-spam, network and advanced settings. 

#### Accounts

On the "Accounts" interface, you can add or delete accounts. Click ![add](../common/add.svg) to add more accounts. Click **Edit** after the account and click ![edit_delete](../common/delete_account.svg) to delete it. You can set "Info", "Signature", "Filter", "Group" for each account.

![ID_setting](fig/ID_setting.png)

**Info**: click **Info** to modify the avatar, change the account alias, and configure the server.

**Signature**: the default signature is the email account. Click **Signature** to edit the current signature or add a new signature.

**Filter**: click **Filter**. Multiple rules could be set up to filter emails. When you receive emails that meet any of the set-up conditions, specified actions would be carried out. For example, when you receive emails from XXX, move them to "Spam" automatically.

Emails would be filtered by the rules in the list from the newest to the oldest (from top to bottom). When there is any conflict among the rules, the newer one would be executed. One email would be filtered by one rule at most, and would not be filtered by others. 

![filtering_rules](fig/filtering_rules.png)

**Group**: click **Group**, then you can view all grouping conditions under the email account. If a grouping condition is removed, the grouped emails will be ungrouped.

![aggregation_settings](fig/aggregation_settings.png)




#### Basic

**General**: Set this email app as the default email client, and launch it at system startup, and change its UI font size. 

![basicsetting](fig/basicsetting.png)



**Emails**

- Conversation view: When it is checked, the associated emails in the email list will be aggregated into one session email to improve the efficiency of processing emails.
- Show an alert: When it is checked, an alert box will pop up every time you receive a new email.
- Auto receive every...: The default time interval for receiving emails is 15 minutes, which can be customized.
- Font style for composing emails: Set the font, size and color for composing mails.

**View**: Preview an email body on right or on bottom.

**Shortcuts**: The shortcut keys for common operations.




#### Anti-Spam

You can set a blacklist here. All emails sent from the email accounts listed in the blacklist are rejected. You can add, export and import the blacklist.



#### Network

Set a proxy according to usage requirements. Setting a default proxy for all and setting a separate proxy for a single email account are both supported.

- Do not use proxy: It is checked by default.
- Use system proxy: Use the corresponding system proxy in **Control Center > Network**.
- Customize proxy server: Select HTTP, SOCKS4 or SOCKS5 proxy and fill in the server's IP address, port number, username and password accordingly.

![network_setting](fig/network_setting.png)

#### Advanced

To better protect your email security, you can enable the security password. When there are no activities in 15 minutes, Mail will be locked automatically, and you should enter the password to unlock it. 



#### Restore Defaults

Click **Restore Defaults** to restore the basic settings to defaults.

### Tools 

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **Tools** to manage templates and labels.


### Theme

The window themes includes Light Theme, Dark Theme and System Theme.

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **Theme** to choose one theme.

### Help

Click Help to get the manual, which will help you further know and use Mail.

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click  **Help** to view the manual of Mail.

### About

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click **About** to view the version of Mail.


### Exit

1. Click ![icon_menu](../common/icon_menu.svg) on the main interface.
2. Click  **Exit**.

